//================================================================================================
// $Id: validator.h 6308 2023-01-16 20:16:41Z aron $
//
// Project:
//		Welltype Compiler
// Contents:
//		Validator
// Authors:
//		Aron Barath, 2014-2023
//================================================================================================
// Copyright (c) Aron Barath
//================================================================================================

#ifndef WTC_VALIDATOR_H
#define WTC_VALIDATOR_H

namespace wtast
{
class Expression;
class FunctionDefinition;
} // wtast

namespace wtc
{
class ProblemHandler;
} // wtc

namespace wtc
{
namespace codegen
{
namespace validator
{

void ValidatePureProperty(wtc::ProblemHandler* probhan, wtast::FunctionDefinition* funcdef);
void ValidateReturnCoverage(wtc::ProblemHandler* probhan, wtast::FunctionDefinition* funcdef);

} // validator
} // codegen
} // wtc

#endif // WTC_VALIDATOR_H
