#ifndef WTRUNTIME_LOADER_H
#define WTRUNTIME_LOADER_H

#include "config.h"
#include "wtruntime.h"
#include "types.h"

struct wtr_vm;
struct wtr_program;

wt_error wtr_loader_sys(struct wtr_vm* const vm,
	struct wtr_program** const program, struct wtr_context* const ctx,
	const void* data, size_t size, wt_uint32_t flags);

wt_error wtr_loader_vm(struct wtr_vm* const vm,
	struct wtr_program** const program, struct wtr_context* const ctx,
	wt_vmptr data, size_t size, wt_uint32_t flags);

#endif /* WTRUNTIME_LOADER_H */
